      subroutine set_avg (tile)      


      use Agrif_Util
#include "Param_BeforeCall_set_avg.h"
      integer(4) :: tile
      

        call Sub_Loop_set_avg(tile, Agrif_tabvars_i(14)%iarray0, Agrif_t
     &abvars_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(
     &2)%iarray0, Agrif_tabvars(298)%array3, Agrif_tabvars_l(2)%larray1,
     & Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_set_avg.h"
      subroutine set_avg_tile (Istr,Iend,Jstr,Jend)      


      use Agrif_Util
#include "Param_BeforeCall_set_avg_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_set_avg_tile(Istr,Iend,Jstr,Jend, Agrif_tabvars_i(
     &14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%iarra
     &y0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(123)%array4, Agrif_t
     &abvars(266)%array4, Agrif_tabvars(124)%array3, Agrif_tabvars(267)%
     &array3, Agrif_tabvars(128)%array3, Agrif_tabvars(129)%array3, Agri
     &f_tabvars(130)%array3, Agrif_tabvars(268)%array3, Agrif_tabvars(24
     &6)%array2, Agrif_tabvars(269)%array2, Agrif_tabvars(247)%array2, A
     &grif_tabvars(270)%array2, Agrif_tabvars(248)%array2, Agrif_tabvars
     &(271)%array2, Agrif_tabvars(249)%array2, Agrif_tabvars(272)%array2
     &, Agrif_tabvars(250)%array3, Agrif_tabvars(276)%array3, Agrif_tabv
     &ars(120)%array2, Agrif_tabvars(273)%array2, Agrif_tabvars(119)%arr
     &ay3, Agrif_tabvars(274)%array2, Agrif_tabvars(298)%array3, Agrif_t
     &abvars(277)%array3, Agrif_tabvars(103)%array2, Agrif_tabvars(104)%
     &array2, Agrif_tabvars(141)%array3, Agrif_tabvars(279)%array3, Agri
     &f_tabvars(122)%array3, Agrif_tabvars(278)%array3, Agrif_tabvars(13
     &9)%array3, Agrif_tabvars(280)%array3, Agrif_tabvars(148)%array5, A
     &grif_tabvars(281)%array4, Agrif_tabvars(149)%array4, Agrif_tabvars
     &(282)%array3, Agrif_tabvars_i(153)%iarray0, Agrif_tabvars(150)%arr
     &ay4, Agrif_tabvars(283)%array3, Agrif_tabvars(285)%array2, Agrif_t
     &abvars(286)%array2, Agrif_tabvars(264)%array2, Agrif_tabvars(265)%
     &array2, Agrif_tabvars(287)%array2, Agrif_tabvars(288)%array2, Agri
     &f_tabvars(289)%array2, Agrif_tabvars_r(12)%array0, Agrif_tabvars(2
     &57)%array2, Agrif_tabvars(258)%array2, Agrif_tabvars(290)%array2, 
     &Agrif_tabvars(73)%array3, Agrif_tabvars(291)%array2, Agrif_tabvars
     &(74)%array3, Agrif_tabvars(292)%array2, Agrif_tabvars_i(150)%iarra
     &y0, Agrif_tabvars(75)%array3, Agrif_tabvars(293)%array2, Agrif_tab
     &vars_l(2)%larray1, Agrif_tabvars_r(5)%array0, Agrif_tabvars_r(10)%
     &array0, Agrif_tabvars_i(166)%iarray0, Agrif_tabvars_i(165)%iarray0
     &, Agrif_tabvars_i(158)%iarray0, Agrif_tabvars_i(147)%iarray0, Agri
     &f_tabvars_i(8)%iarray0, Agrif_tabvars_i(179)%iarray0, Agrif_tabvar
     &s_i(7)%iarray0, Agrif_tabvars_i(178)%iarray0)

      end


#include "Sub_Loop_set_avg_tile.h"
